// AUTOGENERATED BY private/apigen
// DO NOT EDIT.

import { HttpClient } from '@/utils/httpClient'

class APIKeyInfo {
    id: string;
    projectId: string;
    partnerId: string;
    userAgent: string;
    name: string;
    createdAt: string;
}

class BucketUsageRollup {
    projectID: string;
    bucketName: string;
    totalStoredData: number;
    totalSegments: number;
    objectCount: number;
    metadataSize: number;
    repairEgress: number;
    getEgress: number;
    auditEgress: number;
    since: string;
    before: string;
}

class CreateAPIKeyRequest {
    projectID: string;
    name: string;
}

class CreateAPIKeyResponse {
    key: string;
    keyInfo: APIKeyInfo;
}

class Project {
    id: string;
    publicId: string;
    name: string;
    description: string;
    partnerId: string;
    userAgent: string;
    ownerId: string;
    rateLimit: number;
    burstLimit: number;
    maxBuckets: number;
    createdAt: string;
    memberCount: number;
    storageLimit: string;
    bandwidthLimit: string;
    segmentLimit: number;
}

class ProjectInfo {
    name: string;
    description: string;
    storageLimit: string;
    bandwidthLimit: string;
    createdAt: string;
}

class ResponseUser {
    id: string;
    fullName: string;
    shortName: string;
    email: string;
    partnerId: string;
    userAgent: string;
    projectLimit: number;
    isProfessional: boolean;
    position: string;
    companyName: string;
    employeeCount: string;
    haveSalesContact: boolean;
    paidTier: boolean;
    isMFAEnabled: boolean;
    mfaRecoveryCodeCount: number;
}

export class projectsHttpApiV0 {
    private readonly http: HttpClient = new HttpClient();
    private readonly ROOT_PATH: string = '/api/v0/projects';

    public async createProject(request: ProjectInfo): Promise<Project> {
        const path = `${this.ROOT_PATH}/create`;
        const response = await this.http.post(path, JSON.stringify(request));
        if (response.ok) {
            return response.json().then((body) => body as Project);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

    public async updateProject(request: ProjectInfo, id: string): Promise<Project> {
        const path = `${this.ROOT_PATH}/update/${id}`;
        const response = await this.http.patch(path, JSON.stringify(request));
        if (response.ok) {
            return response.json().then((body) => body as Project);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

    public async deleteProject(id: string): Promise<void> {
        const path = `${this.ROOT_PATH}/delete/${id}`;
        const response = await this.http.delete(path);
        if (response.ok) {
            return;
        }
        const err = await response.json()
        throw new Error(err.error)
    }

    public async getProjects(): Promise<Array<Project>> {
        const path = `${this.ROOT_PATH}/`;
        const response = await this.http.get(path);
        if (response.ok) {
            return response.json().then((body) => body as Array<Project>);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

    public async getBucketRollup(projectID: string, bucket: string, since: string, before: string): Promise<BucketUsageRollup> {
        const path = `${this.ROOT_PATH}/bucket-rollup?projectID=${projectID}&bucket=${bucket}&since=${since}&before=${before}`;
        const response = await this.http.get(path);
        if (response.ok) {
            return response.json().then((body) => body as BucketUsageRollup);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

    public async getBucketRollups(projectID: string, since: string, before: string): Promise<Array<BucketUsageRollup>> {
        const path = `${this.ROOT_PATH}/bucket-rollups?projectID=${projectID}&since=${since}&before=${before}`;
        const response = await this.http.get(path);
        if (response.ok) {
            return response.json().then((body) => body as Array<BucketUsageRollup>);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

}
export class apikeysHttpApiV0 {
    private readonly http: HttpClient = new HttpClient();
    private readonly ROOT_PATH: string = '/api/v0/apikeys';

    public async createAPIKey(request: CreateAPIKeyRequest): Promise<CreateAPIKeyResponse> {
        const path = `${this.ROOT_PATH}/create`;
        const response = await this.http.post(path, JSON.stringify(request));
        if (response.ok) {
            return response.json().then((body) => body as CreateAPIKeyResponse);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

}
export class usersHttpApiV0 {
    private readonly http: HttpClient = new HttpClient();
    private readonly ROOT_PATH: string = '/api/v0/users';

    public async getUser(): Promise<ResponseUser> {
        const path = `${this.ROOT_PATH}/`;
        const response = await this.http.get(path);
        if (response.ok) {
            return response.json().then((body) => body as ResponseUser);
        }
        const err = await response.json()
        throw new Error(err.error)
    }

}
